This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1263835 - RFE: add type/flag for non-fs data (0xDA)
RFE: add type/flag for non-fs data (0xDA)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
rawhide
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 16:29 EDT by David Lehman
Modified: 2015-11-06 14:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-06 14:18:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lehman 2015-09-16 16:29:47 EDT
Description of problem:
MD arrays using metadata versions >= 1 should use 0xda for their type instead of the old 0xfd. If parted adds a type/flag for it, I'll make blivet set the correct type.

Version-Release number of selected component (if applicable):
parted-3.2-9.fc22.x86_64

This is for the parted piece of bug 1118065.
Comment 1 Brian Lane 2015-09-30 19:23:29 EDT
Posted upstream for review.
Comment 2 Brian Lane 2015-10-21 12:14:06 EDT
Upstream is reluctant to add this.
Comment 3 Brian Lane 2015-11-06 14:18:48 EST
Closing until parted upstream decides to take this.

Note You need to log in before you can comment on or make changes to this bug.